pipeline {
    agent {
      label 'cicd-builder'
    }
    stages {
        stage('List folder content') {
            steps {
                echo "List folder content"
                sh "ls -l"
                sh "export"
            }
        }
        stage('Change to unix files') {
            steps {
                echo "Change to unix files"
                sh "/bin/dos2unix .workflow/*"
                sh "/bin/chmod 755 .workflow/*"
            }
        }
        stage('Build all projects') {
            steps {
                echo "Build all projects"
                sh ".workflow/01_dotnet_build.sh"
            }
        }
        stage('Docker container release') {
            when {
                branch 'Docker'
            }
            steps {
                echo "Build container(s)"
                sh ".workflow/01_container_build.sh"
            }
        }
    }
}
